predict.ewkm {wskm} | R Documentation

## Predict method for `ewkm` model.

### Description

Return the nearest cluster to each observation based on a Euclidean distance with each variable weighted differently per cluster.

### Usage

    ## S3 method for class 'ewkm'
    predict(object, data, ...)

### Arguments

`object` | object of class `ewkm`.
`data` | the data that needs to be predicted. Variables should have the same names and order as used in building the `ewkm` model.
`...` | other arguments.

### Value

a vector of cluster numbers of length `nrow(data)`.

### Author(s)

Graham Williams (Togaware)

### See Also

`ewkm`

[Package wskm version 1.4.28 Index]